#
# spec file for package ulogd (Version 1.23)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libpcap libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools mysql-client mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline rpm sed sqlite sqlite-devel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ulogd
BuildRequires:  libpcap mysql-devel postgresql-devel sqlite-devel
Version:        1.23
Release:        42.1
License:        GNU General Public License (GPL)
Summary:        ulogd - netfilter ULOG target log daemon
Group:          System/Daemons
Autoreqprov:    on
#Requires:     
URL:            http://gnumonks.org/projects/
Source0:        http://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2
Source1:        http://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2.sig
Source2:        ulogd.a4.pdf
Source3:        ulogd.init
Source4:        ulogd.logrotate
Patch0:         %{name}-%{version}.dif
Patch1:         %{name}-%{version}-lib64.dif
Patch2:         %{name}-%{version}-pgsql-table.dif
Patch3:         %{name}-%{version}-strfix.dif
Patch4:         %{name}-%{version}-cleanup.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq
%debug_package
%package sqlite
Summary:        SQLite output plugin for ulogd
Requires:       ulogd sqlite
Group:          System/Daemons
%package mysql
Summary:        MySQL output plugin for ulogd
Requires:       ulogd mysql-shared
Group:          System/Daemons
%package pgsql
Summary:        PostgreSQL output plugin for ulogd
Requires:       ulogd postgresql-libs
Group:          System/Daemons
%package pcap
Summary:        PCAP output plugin for ulogd
Requires:       ulogd libpcap
Group:          System/Daemons
%package -n libipulog
Summary:        Netfilter ULOG target library
Group:          Development/Libraries/Other

%description
Ulogd is an universal logging daemon for the ULOG target of netfilter,
the Linux 2.4/2.6 firewalling subsystem. Ulogd is able to log packets
in various formats to different targets (text files, databases, etc..).
It has an easy-to-use plugin interface to add new protocols and new
output targets.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>


%description sqlite
ulogd-sqlite is a output plugin for ulogd. It enables logging of
firewall information into a SQLite database.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>


%description mysql
ulogd-mysql is a output plugin for ulogd. It enables logging of
firewall information into a MySQL database.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>


%description pgsql
Ulogd-pgsql is a output plugin for ulogd. It enables logging of
firewall information into a PostgreSQL database.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>


%description pcap
Ulogd-pcap is a output plugin for ulogd. It enables logging of firewall
information to pcap-style files (like tcpdump).



Authors:
--------
    Harald Welte <laforge@gnumonks.org>


%description -n libipulog
Libipulog is a little library which provides a convenient way to
receive netfilter ULOG target log messages.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export LDFLAGS="-pie"
%configure \
	--with-sqlite3=%{_prefix} \
	--with-mysql=%{_prefix} \
	--with-pgsql=%{_prefix}
make

%install
rm -rf %{buildroot}
install -d -m0755 %{buildroot}/%{_sysconfdir}/logrotate.d
install -d -m0755 %{buildroot}/%{_sysconfdir}/init.d
install -d -m0755 %{buildroot}/%{_includedir}/libipulog
install -d -m0755 %{buildroot}/%{_sbindir}/sbin
install -d -m0755 %{buildroot}/%{_libdir}/ulogd
make DESTDIR=%{buildroot} install
#
install -m0754 $RPM_SOURCE_DIR/ulogd.init \
               %{buildroot}/%{_sysconfdir}/init.d/ulogd
ln -sf         %{_sysconfdir}/init.d/ulogd \
               %{buildroot}/%{_sbindir}/rculogd
install -m0644 $RPM_SOURCE_DIR/ulogd.logrotate \
               %{buildroot}/%{_sysconfdir}/logrotate.d/ulogd
install -m0644 libipulog/include/libipulog/libipulog.h \
               %{buildroot}/%{_includedir}/libipulog/libipulog.h
install -m0644 libipulog/libipulog.a \
               %{buildroot}/%{_libdir}/libipulog.a

%clean
rm -rf %{buildroot}

%post
%{fillup_and_insserv -f ulogd}

%preun
%stop_on_removal ulogd

%postun
%restart_on_update ulogd
%{insserv_cleanup}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_sbindir}/ulogd
%attr(0755,root,root) %{_sbindir}/rculogd
%config(noreplace) %{_sysconfdir}/ulogd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/ulogd
%{_sysconfdir}/init.d/ulogd
%dir %{_libdir}/ulogd
%{_libdir}/ulogd/ulogd_BASE.so
%{_libdir}/ulogd/ulogd_LOCAL.so
%{_libdir}/ulogd/ulogd_LOGEMU.so
%{_libdir}/ulogd/ulogd_OPRINT.so
%{_libdir}/ulogd/ulogd_PWSNIFF.so
%{_libdir}/ulogd/ulogd_SYSLOG.so
%doc COPYING AUTHORS README ulogd.conf
%doc doc/ulogd.txt $RPM_SOURCE_DIR/ulogd.a4.pdf doc/ulogd.html
%doc doc/sqlite3.table
%doc doc/mysql.table
%doc doc/pgsql.table

%files sqlite
%defattr(-,root,root)
%{_libdir}/ulogd/ulogd_SQLITE3.so

%files mysql
%defattr(-,root,root)
%{_libdir}/ulogd/ulogd_MYSQL.so

%files pgsql
%defattr(-,root,root)
%{_libdir}/ulogd/ulogd_PGSQL.so

%files pcap
%defattr(-,root,root)
%{_libdir}/ulogd/ulogd_PCAP.so

%files -n libipulog
%defattr(-,root,root)
%doc libipulog/ulog_test.c
%{_libdir}/libipulog.a
%{_includedir}/libipulog

%changelog -n ulogd
* Wed Jan 10 2007 - mt@suse.de
- Bug #229970: fixed several string length calculations
  New patch file: ulogd-1.23-strfix.dif
- Fixed _init / _fini functions to reset the dbh pointer on
  initialization failures, added checks if stmt/dbh pointer
  are initialized in output functions. Changed to run _fini
  functions before the log file is closed, because they may
  log (eg. the sqlite3 plugin).
  New patch file: ulogd-1.23-cleanup.dif
* Thu Jun 22 2006 - ro@suse.de
- remove selfprovides
* Tue May 02 2006 - mt@suse.de
- Bug #155647: fixed ip column format in doc/pgsql.table
  to match the compiled in type.
  New patch file: ulogd-1.23-pgsql-table.dif
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 - mt@suse.de
- updated to ulogd-1.23, adopted patches
- added logrotate file, fixed init script
- added sqlite (sqlite3) plugin sub-package
* Fri Apr 29 2005 - mt@suse.de
- updated to ulogd-1.21, adopted patches
* Wed Sep 01 2004 - ro@suse.de
- added directory to filelist
* Tue Aug 31 2004 - ro@suse.de
- fix lib64 issue in configure
* Thu May 27 2004 - mt@suse.de
- initial package
